CORE_STARTUP_ERROR

FAH provides a V7 client installer for Debian / Mint / Ubuntu / RedHat / CentOS / Fedora. Installation on other distros may or may not be easy but if you can offer help to others, they would appreciate it.

Moderators: Site Moderators, PandeGroup

CORE_STARTUP_ERROR

Postby ITwrx » Fri Oct 07, 2016 5:42 pm

FAHCore fails to start when running grsec kernel on arch linux. no mprotect or other grsec errors are logged. FAHCore just fails to start and the below error is logged. rebooting into standard arch linux kernel allows FAHCore to run.

WARNING:WU01:FS02:FahCore returned: CORE_STARTUP_ERROR (99 = 0x63)
ITwrx
 
Posts: 5
Joined: Fri Oct 07, 2016 5:33 pm

Re: CORE_STARTUP_ERROR

Postby bruce » Fri Oct 07, 2016 9:29 pm

Technically, FAH is supported on Debian / Mint / Ubuntu / Redhat / Centos / Fedora. You'll notice that Arch is not in that list. That doesn't mean it either will or will not work, though. Only that there won't be an official response.

Most likely FAH has a prerequisite that's not being fulfilled.

I'll move this topic to the forum for "unsupported distros" and maybe somebody who knows Arch can give you a good answer.
bruce
 
Posts: 21322
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.

Re: CORE_STARTUP_ERROR

Postby ITwrx » Tue Oct 11, 2016 4:45 pm

thanks for your answer. I noticed that arch wasn't in the list but i'm reporting anyways just so fah knows about the issue. I'm not expecting a response. fah probably fails on those supoorted distros too, when one is running a grsec kernel. Though i don't know that any of those have an official grsec kernel, so it would be a custom kernel which probably isn't supported by fah eaither. Also, i doubt arch is not supported due to prerequisites missing in arch itself, but more likely operational considerations by fah. It's nice of fah to try and support so many distros. However if it were me, i would just list the prerequisites themselves(using upstream package names) and let users determine what distros have the support they need. Coddling certain distros' users (which is the standard practice, it seems) just causes more confusion overall, IMHO.
ITwrx
 
Posts: 5
Joined: Fri Oct 07, 2016 5:33 pm

Re: CORE_STARTUP_ERROR

Postby bruce » Wed Oct 12, 2016 12:43 am

ITwrx wrote:However if it were me, i would just list the prerequisites themselves(using upstream package names) and let users determine what distros have the support they need.... just causes more confusion overall, IMHO.
You're not wrong, but from FAH's point of view:

1) A detailed list of requirements is more appealing to an expert and less helpful to a novice.
2) A detailed list of requirements is more likely to change, but even if it does, it may or may not alter the list of distros which are tested prior to release.
bruce
 
Posts: 21322
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.


Return to Q&A about unsupported distros of Linux

Who is online

Users browsing this forum: No registered users and 1 guest

cron